<?php
/**
 * BierBaum Framework: global variables storage
 *
 * @package	bierbaum
 * @since	bierbaum 1.0
 */

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }

// Get global variable
if (!function_exists('bierbaum_get_global')) {
	function bierbaum_get_global($var_name) {
		global $BIERBAUM_GLOBALS;
		return isset($BIERBAUM_GLOBALS[$var_name]) ? $BIERBAUM_GLOBALS[$var_name] : '';
	}
}

// Set global variable
if (!function_exists('bierbaum_set_global')) {
	function bierbaum_set_global($var_name, $value) {
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS[$var_name] = $value;
	}
}

// Inc/Dec global variable with specified value
if (!function_exists('bierbaum_inc_global')) {
	function bierbaum_inc_global($var_name, $value=1) {
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS[$var_name] += $value;
	}
}

// Concatenate global variable with specified value
if (!function_exists('bierbaum_concat_global')) {
	function bierbaum_concat_global($var_name, $value) {
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS[$var_name] .= $value;
	}
}

// Get global array element
if (!function_exists('bierbaum_get_global_array')) {
	function bierbaum_get_global_array($var_name, $key) {
		global $BIERBAUM_GLOBALS;
		return isset($BIERBAUM_GLOBALS[$var_name][$key]) ? $BIERBAUM_GLOBALS[$var_name][$key] : '';
	}
}

// Set global array element
if (!function_exists('bierbaum_set_global_array')) {
	function bierbaum_set_global_array($var_name, $key, $value) {
		global $BIERBAUM_GLOBALS;
		if (!isset($BIERBAUM_GLOBALS[$var_name])) $BIERBAUM_GLOBALS[$var_name] = array();
		$BIERBAUM_GLOBALS[$var_name][$key] = $value;
	}
}

// Inc/Dec global array element with specified value
if (!function_exists('bierbaum_inc_global_array')) {
	function bierbaum_inc_global_array($var_name, $key, $value=1) {
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS[$var_name][$key] += $value;
	}
}

// Concatenate global array element with specified value
if (!function_exists('bierbaum_concat_global_array')) {
	function bierbaum_concat_global_array($var_name, $key, $value) {
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS[$var_name][$key] .= $value;
	}
}
?>