<?php

/* Theme setup section
-------------------------------------------------------------------- */
if (!function_exists('bierbaum_sc_br_theme_setup')) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_sc_br_theme_setup' );
	function bierbaum_sc_br_theme_setup() {
		add_action('bierbaum_action_shortcodes_list', 		'bierbaum_sc_br_reg_shortcodes');
		if (function_exists('bierbaum_exists_visual_composer') && bierbaum_exists_visual_composer())
			add_action('bierbaum_action_shortcodes_list_vc','bierbaum_sc_br_reg_shortcodes_vc');
	}
}



/* Shortcode implementation
-------------------------------------------------------------------- */

/*
[trx_br clear="left|right|both"]
*/

if (!function_exists('bierbaum_sc_br')) {	
	function bierbaum_sc_br($atts, $content = null) {
		if (bierbaum_in_shortcode_blogger()) return '';
		extract(bierbaum_html_decode(shortcode_atts(array(
			"clear" => ""
		), $atts)));
		$output = in_array($clear, array('left', 'right', 'both', 'all')) 
			? '<div class="clearfix" style="clear:' . str_replace('all', 'both', $clear) . '"></div>'
			: '<br />';
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_br', $atts, $content);
	}
	bierbaum_require_shortcode("trx_br", "bierbaum_sc_br");
}



/* Add shortcode in the internal SC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_br_reg_shortcodes' ) ) {
	//add_action('bierbaum_action_shortcodes_list', 'bierbaum_sc_br_reg_shortcodes');
	function bierbaum_sc_br_reg_shortcodes() {
		global $BIERBAUM_GLOBALS;
	
		$BIERBAUM_GLOBALS['shortcodes']["trx_br"] = array(
			"title" => esc_html__("Break", "bierbaum"),
			"desc" => wp_kses( __("Line break with clear floating (if need)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"decorate" => false,
			"container" => false,
			"params" => array(
				"clear" => 	array(
					"title" => esc_html__("Clear floating", "bierbaum"),
					"desc" => wp_kses( __("Clear floating (if need)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "checklist",
					"options" => array(
						'none' => esc_html__('None', 'bierbaum'),
						'left' => esc_html__('Left', 'bierbaum'),
						'right' => esc_html__('Right', 'bierbaum'),
						'both' => esc_html__('Both', 'bierbaum')
					)
				)
			)
		);
	}
}


/* Add shortcode in the VC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_br_reg_shortcodes_vc' ) ) {
	//add_action('bierbaum_action_shortcodes_list_vc', 'bierbaum_sc_br_reg_shortcodes_vc');
	function bierbaum_sc_br_reg_shortcodes_vc() {
		global $BIERBAUM_GLOBALS;
/*
		vc_map( array(
			"base" => "trx_br",
			"name" => esc_html__("Line break", "bierbaum"),
			"description" => wp_kses( __("Line break or Clear Floating", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"category" => esc_html__('Content', 'bierbaum'),
			'icon' => 'icon_trx_br',
			"class" => "trx_sc_single trx_sc_br",
			"content_element" => true,
			"is_container" => false,
			"show_settings_on_create" => true,
			"params" => array(
				array(
					"param_name" => "clear",
					"heading" => esc_html__("Clear floating", "bierbaum"),
					"description" => wp_kses( __("Select clear side (if need)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => "",
					"value" => array(
						esc_html__('None', 'bierbaum') => 'none',
						esc_html__('Left', 'bierbaum') => 'left',
						esc_html__('Right', 'bierbaum') => 'right',
						esc_html__('Both', 'bierbaum') => 'both'
					),
					"type" => "dropdown"
				)
			)
		) );
		
		class WPBakeryShortCode_Trx_Br extends BIERBAUM_VC_ShortCodeSingle {}
*/
	}
}
?>