<?php

/* Theme setup section
-------------------------------------------------------------------- */
if (!function_exists('bierbaum_sc_skills_theme_setup')) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_sc_skills_theme_setup' );
	function bierbaum_sc_skills_theme_setup() {
		add_action('bierbaum_action_shortcodes_list', 		'bierbaum_sc_skills_reg_shortcodes');
		if (function_exists('bierbaum_exists_visual_composer') && bierbaum_exists_visual_composer())
			add_action('bierbaum_action_shortcodes_list_vc','bierbaum_sc_skills_reg_shortcodes_vc');
	}
}



/* Shortcode implementation
-------------------------------------------------------------------- */

/*
[trx_skills id="unique_id" type="bar|pie|arc|counter" dir="horizontal|vertical" layout="rows|columns" count="" max_value="100" align="left|right"]
	[trx_skills_item title="Scelerisque pid" value="50%"]
	[trx_skills_item title="Scelerisque pid" value="50%"]
	[trx_skills_item title="Scelerisque pid" value="50%"]
[/trx_skills]
*/

if (!function_exists('bierbaum_sc_skills')) {	
	function bierbaum_sc_skills($atts, $content=null){	
		if (bierbaum_in_shortcode_blogger()) return '';
		extract(bierbaum_html_decode(shortcode_atts(array(
			// Individual params
			"max_value" => "100",
			"type" => "bar",
			"layout" => "",
			"dir" => "",
			"style" => "1",
			"columns" => "",
			"align" => "",
			"color" => "",
			"bg_color" => "",
			"border_color" => "",
			"arc_caption" => esc_html__("Skills", "bierbaum"),
			"pie_compact" => "on",
			"pie_cutout" => 0,
			"title" => "",
			"subtitle" => "",
			"description" => "",
			"link_caption" => esc_html__('Learn more', 'bierbaum'),
			"link" => '',
			// Common params
			"id" => "",
			"class" => "",
			"animation" => "",
			"css" => "",
			"width" => "",
			"height" => "",
			"top" => "",
			"bottom" => "",
			"left" => "",
			"right" => ""
		), $atts)));
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS['sc_skills_counter'] = 0;
		$BIERBAUM_GLOBALS['sc_skills_columns'] = 0;
		$BIERBAUM_GLOBALS['sc_skills_height']  = 0;
		$BIERBAUM_GLOBALS['sc_skills_type']    = $type;
		$BIERBAUM_GLOBALS['sc_skills_pie_compact'] = bierbaum_param_is_on($pie_compact) ? 'on' : 'off';
		$BIERBAUM_GLOBALS['sc_skills_pie_cutout']  = max(0, min(99, $pie_cutout));
		$BIERBAUM_GLOBALS['sc_skills_color']   = $color;
		$BIERBAUM_GLOBALS['sc_skills_bg_color']= $bg_color;
		$BIERBAUM_GLOBALS['sc_skills_border_color']= $border_color;
		$BIERBAUM_GLOBALS['sc_skills_legend']  = '';
		$BIERBAUM_GLOBALS['sc_skills_data']    = '';
		bierbaum_enqueue_diagram($type);
		if ($type!='arc') {
			if ($layout=='' || ($layout=='columns' && $columns<1)) $layout = 'rows';
			if ($layout=='columns') $BIERBAUM_GLOBALS['sc_skills_columns'] = $columns;
			if ($type=='bar') {
				if ($dir == '') $dir = 'horizontal';
				if ($dir == 'vertical' && $height < 1) $height = 300;
			}
		}
		if (empty($id)) $id = 'sc_skills_diagram_'.str_replace('.','',mt_rand());
		if ($max_value < 1) $max_value = 100;
		if ($style) {
			$style = max(1, min(4, $style));
			$BIERBAUM_GLOBALS['sc_skills_style'] = $style;
		}
		$BIERBAUM_GLOBALS['sc_skills_max'] = $max_value;
		$BIERBAUM_GLOBALS['sc_skills_dir'] = $dir;
		$BIERBAUM_GLOBALS['sc_skills_height'] = bierbaum_prepare_css_value($height);
		$class .= ($class ? ' ' : '') . bierbaum_get_css_position_as_classes($top, $right, $bottom, $left);
		$css .= bierbaum_get_css_dimensions_from_values($width);
		if (!empty($BIERBAUM_GLOBALS['sc_skills_height']) && ($BIERBAUM_GLOBALS['sc_skills_type'] == 'arc' || ($BIERBAUM_GLOBALS['sc_skills_type'] == 'pie' && bierbaum_param_is_on($BIERBAUM_GLOBALS['sc_skills_pie_compact']))))
			$css .= 'height: '.$BIERBAUM_GLOBALS['sc_skills_height'];
		$content = do_shortcode($content);
		$output = '<div id="'.esc_attr($id).'"' 
					. ' class="sc_skills sc_skills_' . esc_attr($type) 
						. ($type=='bar' ? ' sc_skills_'.esc_attr($dir) : '') 
						. ($type=='pie' ? ' sc_skills_compact_'.esc_attr($BIERBAUM_GLOBALS['sc_skills_pie_compact']) : '') 
						. (!empty($class) ? ' '.esc_attr($class) : '') 
						. ($align && $align!='none' ? ' align'.esc_attr($align) : '') 
						. '"'
					. ($css!='' ? ' style="'.esc_attr($css).'"' : '')
					. (!bierbaum_param_is_off($animation) ? ' data-animation="'.esc_attr(bierbaum_get_animation_classes($animation)).'"' : '')
					. ' data-type="'.esc_attr($type).'"'
					. ' data-caption="'.esc_attr($arc_caption).'"'
					. ($type=='bar' ? ' data-dir="'.esc_attr($dir).'"' : '')
				. '>'
					. (!empty($subtitle) ? '<h6 class="sc_skills_subtitle sc_item_subtitle">' . esc_html($subtitle) . '</h6>' : '')
					. (!empty($title) ? '<h2 class="sc_skills_title sc_item_title">' . esc_html($title) . '</h2>' : '')
					. (!empty($description) ? '<div class="sc_skills_descr sc_item_descr">' . trim($description) . '</div>' : '')
					. ($layout == 'columns' ? '<div class="columns_wrap sc_skills_'.esc_attr($layout).' sc_skills_columns_'.esc_attr($columns).'">' : '')
					. ($type=='arc' 
						? ('<div class="sc_skills_legend">'.($BIERBAUM_GLOBALS['sc_skills_legend']).'</div>'
							. '<div id="'.esc_attr($id).'_diagram" class="sc_skills_arc_canvas"></div>'
							. '<div class="sc_skills_data" style="display:none;">' . ($BIERBAUM_GLOBALS['sc_skills_data']) . '</div>'
						  )
						: '')
					. ($type=='pie' && bierbaum_param_is_on($BIERBAUM_GLOBALS['sc_skills_pie_compact'])
						? ('<div class="sc_skills_legend">'.($BIERBAUM_GLOBALS['sc_skills_legend']).'</div>'
							. '<div id="'.esc_attr($id).'_pie" class="sc_skills_item">'
								. '<canvas id="'.esc_attr($id).'_pie" class="sc_skills_pie_canvas"></canvas>'
								. '<div class="sc_skills_data" style="display:none;">' . ($BIERBAUM_GLOBALS['sc_skills_data']) . '</div>'
							. '</div>'
						  )
						: '')
					. ($content)
					. ($layout == 'columns' ? '</div>' : '')
					. (!empty($link) ? '<div class="sc_skills_button sc_item_button">'.do_shortcode('[trx_button link="'.esc_url($link).'" icon="icon-right"]'.esc_html($link_caption).'[/trx_button]').'</div>' : '')
				. '</div>';
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_skills', $atts, $content);
	}
	bierbaum_require_shortcode('trx_skills', 'bierbaum_sc_skills');
}


if (!function_exists('bierbaum_sc_skills_item')) {	
	function bierbaum_sc_skills_item($atts, $content=null) {
		if (bierbaum_in_shortcode_blogger()) return '';
		extract(bierbaum_html_decode(shortcode_atts( array(
			// Individual params
			"title" => "",
			"value" => "",
			"color" => "",
			"bg_color" => "",
			"border_color" => "",
			"style" => "",
			"icon" => "",
			// Common params
			"id" => "",
			"class" => "",
			"css" => ""
		), $atts)));
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS['sc_skills_counter']++;
		$ed = bierbaum_substr($value, -1)=='%' ? '%' : '';
		$value = str_replace('%', '', $value);
		if ($BIERBAUM_GLOBALS['sc_skills_max'] < $value) $BIERBAUM_GLOBALS['sc_skills_max'] = $value;
		$percent = round($value / $BIERBAUM_GLOBALS['sc_skills_max'] * 100);
		$start = 0;
		$stop = $value;
		$steps = 100;
		$step = max(1, round($BIERBAUM_GLOBALS['sc_skills_max']/$steps));
		$speed = mt_rand(10,40);
		$animation = round(($stop - $start) / $step * $speed);
		$title_block = '<div class="sc_skills_info"><div class="sc_skills_label">' . ($title) . '</div></div>';
		$old_color = $color;
		if (empty($color)) $color = $BIERBAUM_GLOBALS['sc_skills_color'];
		if (empty($color)) $color = bierbaum_get_scheme_color('accent1', $color);
		if (empty($bg_color)) $bg_color = $BIERBAUM_GLOBALS['sc_skills_bg_color'];
		if (empty($bg_color)) $bg_color = bierbaum_get_scheme_color('bg_color', $bg_color);
		if (empty($border_color)) $border_color = $BIERBAUM_GLOBALS['sc_skills_border_color'];
		if (empty($border_color)) $border_color = bierbaum_get_scheme_color('bd_color', $border_color);;
		if (empty($style)) $style = $BIERBAUM_GLOBALS['sc_skills_style'];
		$style = max(1, min(4, $style));
		$output = '';
		if ($BIERBAUM_GLOBALS['sc_skills_type'] == 'arc' || ($BIERBAUM_GLOBALS['sc_skills_type'] == 'pie' && bierbaum_param_is_on($BIERBAUM_GLOBALS['sc_skills_pie_compact']))) {
			if ($BIERBAUM_GLOBALS['sc_skills_type'] == 'arc' && empty($old_color)) {
				$rgb = bierbaum_hex2rgb($color);
				$color = 'rgba('.(int)$rgb['r'].','.(int)$rgb['g'].','.(int)$rgb['b'].','.(1 - 0.1*($BIERBAUM_GLOBALS['sc_skills_counter']-1)).')';
			}
			$BIERBAUM_GLOBALS['sc_skills_legend'] .= '<div class="sc_skills_legend_item"><span class="sc_skills_legend_marker" style="background-color:'.esc_attr($color).'"></span><span class="sc_skills_legend_title">' . ($title) . '</span><span class="sc_skills_legend_value">' . ($value) . '</span></div>';
			$BIERBAUM_GLOBALS['sc_skills_data'] .= '<div' . ($id ? ' id="'.esc_attr($id).'"' : '')
				. ' class="'.esc_attr($BIERBAUM_GLOBALS['sc_skills_type']).'"'
				. ($BIERBAUM_GLOBALS['sc_skills_type']=='pie'
					? ( ' data-start="'.esc_attr($start).'"'
						. ' data-stop="'.esc_attr($stop).'"'
						. ' data-step="'.esc_attr($step).'"'
						. ' data-steps="'.esc_attr($steps).'"'
						. ' data-max="'.esc_attr($BIERBAUM_GLOBALS['sc_skills_max']).'"'
						. ' data-speed="'.esc_attr($speed).'"'
						. ' data-duration="'.esc_attr($animation).'"'
						. ' data-color="'.esc_attr($color).'"'
						. ' data-bg_color="'.esc_attr($bg_color).'"'
						. ' data-border_color="'.esc_attr($border_color).'"'
						. ' data-cutout="'.esc_attr($BIERBAUM_GLOBALS['sc_skills_pie_cutout']).'"'
						. ' data-easing="easeOutCirc"'
						. ' data-ed="'.esc_attr($ed).'"'
						)
					: '')
				. '><input type="hidden" class="text" value="'.esc_attr($title).'" /><input type="hidden" class="percent" value="'.esc_attr($percent).'" /><input type="hidden" class="color" value="'.esc_attr($color).'" /></div>';
		} else {
			$output .= ($BIERBAUM_GLOBALS['sc_skills_columns'] > 0 ? '<div class="sc_skills_column column-1_'.esc_attr($BIERBAUM_GLOBALS['sc_skills_columns']).'">' : '')
					. ($BIERBAUM_GLOBALS['sc_skills_type']=='bar' && $BIERBAUM_GLOBALS['sc_skills_dir']=='horizontal' ? $title_block : '')
					. '<div' . ($id ? ' id="'.esc_attr($id).'"' : '') 
						. ' class="sc_skills_item' . ($style ? ' sc_skills_style_'.esc_attr($style) : '') 
							. (!empty($class) ? ' '.esc_attr($class) : '')
							. ($BIERBAUM_GLOBALS['sc_skills_counter'] % 2 == 1 ? ' odd' : ' even') 
							. ($BIERBAUM_GLOBALS['sc_skills_counter'] == 1 ? ' first' : '') 
							. '"'
						. ($BIERBAUM_GLOBALS['sc_skills_height'] !='' || $css 
							? ' style="' 
								. ($BIERBAUM_GLOBALS['sc_skills_height'] !='' ? 'height: '.esc_attr($BIERBAUM_GLOBALS['sc_skills_height']).';' : '') 
								. ($css) 
								. '"' 
							: '')
					. '>'
					. (!empty($icon) ? '<div class="sc_skills_icon '.esc_attr($icon).'"></div>' : '');
			if (in_array($BIERBAUM_GLOBALS['sc_skills_type'], array('bar', 'counter'))) {
				$output .= '<div class="sc_skills_count"' . ($BIERBAUM_GLOBALS['sc_skills_type']=='bar' && $color ? ' style="background-color:' . esc_attr($color) . '; border-color:' . esc_attr($color) . '"' : '') . '>'
							. '<div class="sc_skills_total"'
								. ' data-start="'.esc_attr($start).'"'
								. ' data-stop="'.esc_attr($stop).'"'
								. ' data-step="'.esc_attr($step).'"'
								. ' data-max="'.esc_attr($BIERBAUM_GLOBALS['sc_skills_max']).'"'
								. ' data-speed="'.esc_attr($speed).'"'
								. ' data-duration="'.esc_attr($animation).'"'
								. ' data-ed="'.esc_attr($ed).'">'
								. ($start) . ($ed)
							.'</div>'
						. '</div>';
			} else if ($BIERBAUM_GLOBALS['sc_skills_type']=='pie') {
				if (empty($id)) $id = 'sc_skills_canvas_'.str_replace('.','',mt_rand());
				$output .= '<canvas id="'.esc_attr($id).'"></canvas>'
					. '<div class="sc_skills_total"'
						. ' data-start="'.esc_attr($start).'"'
						. ' data-stop="'.esc_attr($stop).'"'
						. ' data-step="'.esc_attr($step).'"'
						. ' data-steps="'.esc_attr($steps).'"'
						. ' data-max="'.esc_attr($BIERBAUM_GLOBALS['sc_skills_max']).'"'
						. ' data-speed="'.esc_attr($speed).'"'
						. ' data-duration="'.esc_attr($animation).'"'
						. ' data-color="'.esc_attr($color).'"'
						. ' data-bg_color="'.esc_attr($bg_color).'"'
						. ' data-border_color="'.esc_attr($border_color).'"'
						. ' data-cutout="'.esc_attr($BIERBAUM_GLOBALS['sc_skills_pie_cutout']).'"'
						. ' data-easing="easeOutCirc"'
						. ' data-ed="'.esc_attr($ed).'">'
						. ($start) . ($ed)
					.'</div>';
			}
			$output .= 
					  ($BIERBAUM_GLOBALS['sc_skills_type']=='counter' ? $title_block : '')
					. '</div>'
					. ($BIERBAUM_GLOBALS['sc_skills_type']=='bar' && $BIERBAUM_GLOBALS['sc_skills_dir']=='vertical' || $BIERBAUM_GLOBALS['sc_skills_type'] == 'pie' ? $title_block : '')
					. ($BIERBAUM_GLOBALS['sc_skills_columns'] > 0 ? '</div>' : '');
		}
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_skills_item', $atts, $content);
	}
	bierbaum_require_shortcode('trx_skills_item', 'bierbaum_sc_skills_item');
}



/* Add shortcode in the internal SC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_skills_reg_shortcodes' ) ) {
	//add_action('bierbaum_action_shortcodes_list', 'bierbaum_sc_skills_reg_shortcodes');
	function bierbaum_sc_skills_reg_shortcodes() {
		global $BIERBAUM_GLOBALS;
	
		$BIERBAUM_GLOBALS['shortcodes']["trx_skills"] = array(
			"title" => esc_html__("Skills", "bierbaum"),
			"desc" => wp_kses( __("Insert skills diagramm in your page (post)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"decorate" => true,
			"container" => false,
			"params" => array(
				"max_value" => array(
					"title" => esc_html__("Max value", "bierbaum"),
					"desc" => wp_kses( __("Max value for skills items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => 100,
					"min" => 1,
					"type" => "spinner"
				),
				"type" => array(
					"title" => esc_html__("Skills type", "bierbaum"),
					"desc" => wp_kses( __("Select type of skills block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "bar",
					"type" => "checklist",
					"dir" => "horizontal",
					"options" => array(
						'bar' => esc_html__('Bar', 'bierbaum'),
						'pie' => esc_html__('Pie chart', 'bierbaum'),
						'counter' => esc_html__('Counter', 'bierbaum'),
						'arc' => esc_html__('Arc', 'bierbaum')
					)
				), 
				"layout" => array(
					"title" => esc_html__("Skills layout", "bierbaum"),
					"desc" => wp_kses( __("Select layout of skills block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('counter','pie','bar')
					),
					"value" => "rows",
					"type" => "checklist",
					"dir" => "horizontal",
					"options" => array(
						'rows' => esc_html__('Rows', 'bierbaum'),
						'columns' => esc_html__('Columns', 'bierbaum')
					)
				),
				"dir" => array(
					"title" => esc_html__("Direction", "bierbaum"),
					"desc" => wp_kses( __("Select direction of skills block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('counter','pie','bar')
					),
					"value" => "horizontal",
					"type" => "checklist",
					"dir" => "horizontal",
					"options" => $BIERBAUM_GLOBALS['sc_params']['dir']
				), 
				"style" => array(
					"title" => esc_html__("Counters style", "bierbaum"),
					"desc" => wp_kses( __("Select style of skills items (only for type=counter)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('counter')
					),
					"value" => 1,
					"options" => bierbaum_get_list_styles(1, 4),
					"type" => "checklist"
				), 
				// "columns" - autodetect, not set manual
				"color" => array(
					"title" => esc_html__("Skills items color", "bierbaum"),
					"desc" => wp_kses( __("Color for all skills items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"divider" => true,
					"value" => "",
					"type" => "color"
				),
				"bg_color" => array(
					"title" => esc_html__("Background color", "bierbaum"),
					"desc" => wp_kses( __("Background color for all skills items (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('pie')
					),
					"value" => "",
					"type" => "color"
				),
				"border_color" => array(
					"title" => esc_html__("Border color", "bierbaum"),
					"desc" => wp_kses( __("Border color for all skills items (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('pie')
					),
					"value" => "",
					"type" => "color"
				),
				"align" => array(
					"title" => esc_html__("Align skills block", "bierbaum"),
					"desc" => wp_kses( __("Align skills block to left or right side", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "checklist",
					"dir" => "horizontal",
					"options" => $BIERBAUM_GLOBALS['sc_params']['float']
				), 
				"arc_caption" => array(
					"title" => esc_html__("Arc Caption", "bierbaum"),
					"desc" => wp_kses( __("Arc caption - text in the center of the diagram", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('arc')
					),
					"value" => "",
					"type" => "text"
				),
				"pie_compact" => array(
					"title" => esc_html__("Pie compact", "bierbaum"),
					"desc" => wp_kses( __("Show all skills in one diagram or as separate diagrams", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('pie')
					),
					"value" => "yes",
					"type" => "switch",
					"options" => $BIERBAUM_GLOBALS['sc_params']['yes_no']
				),
				"pie_cutout" => array(
					"title" => esc_html__("Pie cutout", "bierbaum"),
					"desc" => wp_kses( __("Pie cutout (0-99). 0 - without cutout, 99 - max cutout", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"dependency" => array(
						'type' => array('pie')
					),
					"value" => 0,
					"min" => 0,
					"max" => 99,
					"type" => "spinner"
				),
				"title" => array(
					"title" => esc_html__("Title", "bierbaum"),
					"desc" => wp_kses( __("Title for the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "text"
				),
				"subtitle" => array(
					"title" => esc_html__("Subtitle", "bierbaum"),
					"desc" => wp_kses( __("Subtitle for the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "text"
				),
				"description" => array(
					"title" => esc_html__("Description", "bierbaum"),
					"desc" => wp_kses( __("Short description for the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "textarea"
				),
				"link" => array(
					"title" => esc_html__("Button URL", "bierbaum"),
					"desc" => wp_kses( __("Link URL for the button at the bottom of the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "text"
				),
				"link_caption" => array(
					"title" => esc_html__("Button caption", "bierbaum"),
					"desc" => wp_kses( __("Caption for the button at the bottom of the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "text"
				),
				"width" => bierbaum_shortcodes_width(),
				"height" => bierbaum_shortcodes_height(),
				"top" => $BIERBAUM_GLOBALS['sc_params']['top'],
				"bottom" => $BIERBAUM_GLOBALS['sc_params']['bottom'],
				"left" => $BIERBAUM_GLOBALS['sc_params']['left'],
				"right" => $BIERBAUM_GLOBALS['sc_params']['right'],
				"id" => $BIERBAUM_GLOBALS['sc_params']['id'],
				"class" => $BIERBAUM_GLOBALS['sc_params']['class'],
				"animation" => $BIERBAUM_GLOBALS['sc_params']['animation'],
				"css" => $BIERBAUM_GLOBALS['sc_params']['css']
			),
			"children" => array(
				"name" => "trx_skills_item",
				"title" => esc_html__("Skill", "bierbaum"),
				"desc" => wp_kses( __("Skills item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
				"container" => false,
				"params" => array(
					"title" => array(
						"title" => esc_html__("Title", "bierbaum"),
						"desc" => wp_kses( __("Current skills item title", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "text"
					),
					"value" => array(
						"title" => esc_html__("Value", "bierbaum"),
						"desc" => wp_kses( __("Current skills level", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => 50,
						"min" => 0,
						"step" => 1,
						"type" => "spinner"
					),
					"color" => array(
						"title" => esc_html__("Color", "bierbaum"),
						"desc" => wp_kses( __("Current skills item color", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "color"
					),
					"bg_color" => array(
						"title" => esc_html__("Background color", "bierbaum"),
						"desc" => wp_kses( __("Current skills item background color (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "color"
					),
					"border_color" => array(
						"title" => esc_html__("Border color", "bierbaum"),
						"desc" => wp_kses( __("Current skills item border color (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "color"
					),
					"style" => array(
						"title" => esc_html__("Counter style", "bierbaum"),
						"desc" => wp_kses( __("Select style for the current skills item (only for type=counter)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => 1,
						"options" => bierbaum_get_list_styles(1, 4),
						"type" => "checklist"
					), 
					"icon" => array(
						"title" => esc_html__("Counter icon",  'bierbaum'),
						"desc" => wp_kses( __('Select icon from Fontello icons set, placed above counter (only for type=counter)',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "icons",
						"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
					),
					"id" => $BIERBAUM_GLOBALS['sc_params']['id'],
					"class" => $BIERBAUM_GLOBALS['sc_params']['class'],
					"css" => $BIERBAUM_GLOBALS['sc_params']['css']
				)
			)
		);
	}
}


/* Add shortcode in the VC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_skills_reg_shortcodes_vc' ) ) {
	//add_action('bierbaum_action_shortcodes_list_vc', 'bierbaum_sc_skills_reg_shortcodes_vc');
	function bierbaum_sc_skills_reg_shortcodes_vc() {
		global $BIERBAUM_GLOBALS;
	
		vc_map( array(
			"base" => "trx_skills",
			"name" => esc_html__("Skills", "bierbaum"),
			"description" => wp_kses( __("Insert skills diagramm", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"category" => esc_html__('Content', 'bierbaum'),
			'icon' => 'icon_trx_skills',
			"class" => "trx_sc_collection trx_sc_skills",
			"content_element" => true,
			"is_container" => true,
			"show_settings_on_create" => true,
			"as_parent" => array('only' => 'trx_skills_item'),
			"params" => array(
				array(
					"param_name" => "max_value",
					"heading" => esc_html__("Max value", "bierbaum"),
					"description" => wp_kses( __("Max value for skills items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "100",
					"type" => "textfield"
				),
				array(
					"param_name" => "type",
					"heading" => esc_html__("Skills type", "bierbaum"),
					"description" => wp_kses( __("Select type of skills block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => array(
						esc_html__('Bar', 'bierbaum') => 'bar',
						esc_html__('Pie chart', 'bierbaum') => 'pie',
						esc_html__('Counter', 'bierbaum') => 'counter',
						esc_html__('Arc', 'bierbaum') => 'arc'
					),
					"type" => "dropdown"
				),
				array(
					"param_name" => "layout",
					"heading" => esc_html__("Skills layout", "bierbaum"),
					"description" => wp_kses( __("Select layout of skills block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					'dependency' => array(
						'element' => 'type',
						'value' => array('counter','bar','pie')
					),
					"class" => "",
					"value" => array(
						esc_html__('Rows', 'bierbaum') => 'rows',
						esc_html__('Columns', 'bierbaum') => 'columns'
					),
					"type" => "dropdown"
				),
				array(
					"param_name" => "dir",
					"heading" => esc_html__("Direction", "bierbaum"),
					"description" => wp_kses( __("Select direction of skills block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => array_flip($BIERBAUM_GLOBALS['sc_params']['dir']),
					"type" => "dropdown"
				),
				array(
					"param_name" => "style",
					"heading" => esc_html__("Counters style", "bierbaum"),
					"description" => wp_kses( __("Select style of skills items (only for type=counter)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => array_flip(bierbaum_get_list_styles(1, 4)),
					'dependency' => array(
						'element' => 'type',
						'value' => array('counter')
					),
					"type" => "dropdown"
				),
				array(
					"param_name" => "columns",
					"heading" => esc_html__("Columns count", "bierbaum"),
					"description" => wp_kses( __("Skills columns count (required)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "color",
					"heading" => esc_html__("Color", "bierbaum"),
					"description" => wp_kses( __("Color for all skills items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => "",
					"type" => "colorpicker"
				),
				array(
					"param_name" => "bg_color",
					"heading" => esc_html__("Background color", "bierbaum"),
					"description" => wp_kses( __("Background color for all skills items (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					'dependency' => array(
						'element' => 'type',
						'value' => array('pie')
					),
					"class" => "",
					"value" => "",
					"type" => "colorpicker"
				),
				array(
					"param_name" => "border_color",
					"heading" => esc_html__("Border color", "bierbaum"),
					"description" => wp_kses( __("Border color for all skills items (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					'dependency' => array(
						'element' => 'type',
						'value' => array('pie')
					),
					"class" => "",
					"value" => "",
					"type" => "colorpicker"
				),
				array(
					"param_name" => "align",
					"heading" => esc_html__("Alignment", "bierbaum"),
					"description" => wp_kses( __("Align skills block to left or right side", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => array_flip($BIERBAUM_GLOBALS['sc_params']['float']),
					"type" => "dropdown"
				),
				array(
					"param_name" => "arc_caption",
					"heading" => esc_html__("Arc caption", "bierbaum"),
					"description" => wp_kses( __("Arc caption - text in the center of the diagram", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					'dependency' => array(
						'element' => 'type',
						'value' => array('arc')
					),
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "pie_compact",
					"heading" => esc_html__("Pie compact", "bierbaum"),
					"description" => wp_kses( __("Show all skills in one diagram or as separate diagrams", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					'dependency' => array(
						'element' => 'type',
						'value' => array('pie')
					),
					"class" => "",
					"value" => array(esc_html__('Show separate skills', 'bierbaum') => 'no'),
					"type" => "checkbox"
				),
				array(
					"param_name" => "pie_cutout",
					"heading" => esc_html__("Pie cutout", "bierbaum"),
					"description" => wp_kses( __("Pie cutout (0-99). 0 - without cutout, 99 - max cutout", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					'dependency' => array(
						'element' => 'type',
						'value' => array('pie')
					),
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "title",
					"heading" => esc_html__("Title", "bierbaum"),
					"description" => wp_kses( __("Title for the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"group" => esc_html__('Captions', 'bierbaum'),
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "subtitle",
					"heading" => esc_html__("Subtitle", "bierbaum"),
					"description" => wp_kses( __("Subtitle for the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"group" => esc_html__('Captions', 'bierbaum'),
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "description",
					"heading" => esc_html__("Description", "bierbaum"),
					"description" => wp_kses( __("Description for the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"group" => esc_html__('Captions', 'bierbaum'),
					"class" => "",
					"value" => "",
					"type" => "textarea"
				),
				array(
					"param_name" => "link",
					"heading" => esc_html__("Button URL", "bierbaum"),
					"description" => wp_kses( __("Link URL for the button at the bottom of the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"group" => esc_html__('Captions', 'bierbaum'),
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "link_caption",
					"heading" => esc_html__("Button caption", "bierbaum"),
					"description" => wp_kses( __("Caption for the button at the bottom of the block", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"group" => esc_html__('Captions', 'bierbaum'),
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				$BIERBAUM_GLOBALS['vc_params']['id'],
				$BIERBAUM_GLOBALS['vc_params']['class'],
				$BIERBAUM_GLOBALS['vc_params']['animation'],
				$BIERBAUM_GLOBALS['vc_params']['css'],
				bierbaum_vc_width(),
				bierbaum_vc_height(),
				$BIERBAUM_GLOBALS['vc_params']['margin_top'],
				$BIERBAUM_GLOBALS['vc_params']['margin_bottom'],
				$BIERBAUM_GLOBALS['vc_params']['margin_left'],
				$BIERBAUM_GLOBALS['vc_params']['margin_right']
			)
		) );
		
		
		vc_map( array(
			"base" => "trx_skills_item",
			"name" => esc_html__("Skill", "bierbaum"),
			"description" => wp_kses( __("Skills item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"show_settings_on_create" => true,
			'icon' => 'icon_trx_skills_item',
			"class" => "trx_sc_single trx_sc_skills_item",
			"content_element" => true,
			"is_container" => false,
			"as_child" => array('only' => 'trx_skills'),
			"as_parent" => array('except' => 'trx_skills'),
			"params" => array(
				array(
					"param_name" => "title",
					"heading" => esc_html__("Title", "bierbaum"),
					"description" => wp_kses( __("Title for the current skills item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "value",
					"heading" => esc_html__("Value", "bierbaum"),
					"description" => wp_kses( __("Value for the current skills item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "color",
					"heading" => esc_html__("Color", "bierbaum"),
					"description" => wp_kses( __("Color for current skills item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "",
					"type" => "colorpicker"
				),
				array(
					"param_name" => "bg_color",
					"heading" => esc_html__("Background color", "bierbaum"),
					"description" => wp_kses( __("Background color for current skills item (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "",
					"type" => "colorpicker"
				),
				array(
					"param_name" => "border_color",
					"heading" => esc_html__("Border color", "bierbaum"),
					"description" => wp_kses( __("Border color for current skills item (only for type=pie)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => "",
					"type" => "colorpicker"
				),
				array(
					"param_name" => "style",
					"heading" => esc_html__("Counter style", "bierbaum"),
					"description" => wp_kses( __("Select style for the current skills item (only for type=counter)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => array_flip(bierbaum_get_list_styles(1, 4)),
					"type" => "dropdown"
				),
				array(
					"param_name" => "icon",
					"heading" => esc_html__("Counter icon", "bierbaum"),
					"description" => wp_kses( __("Select icon from Fontello icons set, placed before counter (only for type=counter)", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				$BIERBAUM_GLOBALS['vc_params']['id'],
				$BIERBAUM_GLOBALS['vc_params']['class'],
				$BIERBAUM_GLOBALS['vc_params']['css']
			)
		) );
		
		class WPBakeryShortCode_Trx_Skills extends BIERBAUM_VC_ShortCodeCollection {}
		class WPBakeryShortCode_Trx_Skills_Item extends BIERBAUM_VC_ShortCodeSingle {}
	}
}
?>