<?php

/* Theme setup section
-------------------------------------------------------------------- */
if (!function_exists('bierbaum_sc_accordion_theme_setup')) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_sc_accordion_theme_setup' );
	function bierbaum_sc_accordion_theme_setup() {
		add_action('bierbaum_action_shortcodes_list', 		'bierbaum_sc_accordion_reg_shortcodes');
		if (function_exists('bierbaum_exists_visual_composer') && bierbaum_exists_visual_composer())
			add_action('bierbaum_action_shortcodes_list_vc','bierbaum_sc_accordion_reg_shortcodes_vc');
	}
}



/* Shortcode implementation
-------------------------------------------------------------------- */

/*
[trx_accordion counter="off" initial="1"]
	[trx_accordion_item title="Accordion Title 1"]Lorem ipsum dolor sit amet, consectetur adipisicing elit[/trx_accordion_item]
	[trx_accordion_item title="Accordion Title 2"]Proin dignissim commodo magna at luctus. Nam molestie justo augue, nec eleifend urna laoreet non.[/trx_accordion_item]
	[trx_accordion_item title="Accordion Title 3 with custom icons" icon_closed="icon-check" icon_opened="icon-delete"]Curabitur tristique tempus arcu a placerat.[/trx_accordion_item]
[/trx_accordion]
*/
if (!function_exists('bierbaum_sc_accordion')) {	
	function bierbaum_sc_accordion($atts, $content=null){	
		if (bierbaum_in_shortcode_blogger()) return '';
		extract(bierbaum_html_decode(shortcode_atts(array(
			// Individual params
			"picture" => "",
			"initial" => "1",
			"counter" => "off",
			"icon_closed" => "icon-plus",
			"icon_opened" => "icon-minus",
			// Common params
			"id" => "",
			"class" => "",
			"css" => "",
			"animation" => "",
			"top" => "",
			"bottom" => "",
			"left" => "",
			"right" => ""
		), $atts)));
		$class .= ($class ? ' ' : '') . bierbaum_get_css_position_as_classes($top, $right, $bottom, $left);
		$initial = max(0, (int) $initial);
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS['sc_accordion_counter'] = 0;
		$BIERBAUM_GLOBALS['sc_accordion_show_counter'] = bierbaum_param_is_on($counter);
		$BIERBAUM_GLOBALS['sc_accordion_icon_closed'] = empty($icon_closed) || bierbaum_param_is_inherit($icon_closed) ? "icon-plus" : $icon_closed;
		$BIERBAUM_GLOBALS['sc_accordion_icon_opened'] = empty($icon_opened) || bierbaum_param_is_inherit($icon_opened) ? "icon-minus" : $icon_opened;
		bierbaum_enqueue_script('jquery-ui-accordion', false, array('jquery','jquery-ui-core'), null, true);
		$output = '<div' . ($id ? ' id="'.esc_attr($id).'"' : '') 
				. ' class="sc_accordion'
					. (!empty($class) ? ' '.esc_attr($class) : '')
					. (bierbaum_param_is_on($counter) ? ' sc_show_counter' : '') 
				. '"'
				. ($css!='' ? ' style="'.esc_attr($css).'"' : '') 
				. ' data-active="' . ($initial-1) . '"'
				. (!bierbaum_param_is_off($animation) ? ' data-animation="'.esc_attr(bierbaum_get_animation_classes($animation)).'"' : '')
				. '>'
				. do_shortcode($content)
				. '</div>';
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_accordion', $atts, $content);
	}
	bierbaum_require_shortcode('trx_accordion', 'bierbaum_sc_accordion');
}


if (!function_exists('bierbaum_sc_accordion_item')) {	
	function bierbaum_sc_accordion_item($atts, $content=null) {
		if (bierbaum_in_shortcode_blogger()) return '';
		extract(bierbaum_html_decode(shortcode_atts( array(
			// Individual params
			"picture" => "",
			"icon_closed" => "",
			"icon_opened" => "",
			"title" => "",
			// Common params
			"id" => "",
			"class" => "",
			"css" => ""
		), $atts)));
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS['sc_accordion_counter']++;
		if (empty($icon_closed) || bierbaum_param_is_inherit($icon_closed)) $icon_closed = $BIERBAUM_GLOBALS['sc_accordion_icon_closed'] ? $BIERBAUM_GLOBALS['sc_accordion_icon_closed'] : "icon-plus";
		if (empty($icon_opened) || bierbaum_param_is_inherit($icon_opened)) $icon_opened = $BIERBAUM_GLOBALS['sc_accordion_icon_opened'] ? $BIERBAUM_GLOBALS['sc_accordion_icon_opened'] : "icon-minus";
		
		if ($picture > 0) {
			$attach = wp_get_attachment_image_src( $picture, 'full' );
			if (isset($attach[0]) && $attach[0]!='')
				$picture = $attach[0];
		}
		$pic =  '<span class="sc_title_icon sc_tab_title_icon  "'.'>'
				.($picture ? '<img src="'.esc_url($picture).'" alt="ffff" />' : '')
				.(empty($picture) && $image && $image!='none' ? '<img src="'.esc_url(ancora_strpos($image, 'http:')!==false ? $image : ancora_get_file_url('images/icons/'.($image).'.png')).'" alt="" />' : '')
				.'</span>';

		$output = '<div' . ($id ? ' id="'.esc_attr($id).'"' : '') 
				. ' class="sc_accordion_item' 
				. (!empty($class) ? ' '.esc_attr($class) : '')
				. ($BIERBAUM_GLOBALS['sc_accordion_counter'] % 2 == 1 ? ' odd' : ' even') 
				. ($BIERBAUM_GLOBALS['sc_accordion_counter'] == 1 ? ' first' : '') 
				. '">'
				. '<h5 class="sc_accordion_title">'
				. ($pic)
				. (!bierbaum_param_is_off($icon_closed) ? '<span class="sc_accordion_icon sc_accordion_icon_closed '.esc_attr($icon_closed).'"></span>' : '')
				. (!bierbaum_param_is_off($icon_opened) ? '<span class="sc_accordion_icon sc_accordion_icon_opened '.esc_attr($icon_opened).'"></span>' : '')
				. ($BIERBAUM_GLOBALS['sc_accordion_show_counter'] ? '<span class="sc_items_counter">'.($BIERBAUM_GLOBALS['sc_accordion_counter']).'</span>' : '')
				. ($title)
				. '</h5>'
				. '<div class="sc_accordion_content"'
					. ($css!='' ? ' style="'.esc_attr($css).'"' : '') 
					. '>'
					. do_shortcode($content) 
				. '</div>'
				. '</div>';
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_accordion_item', $atts, $content);
	}
	bierbaum_require_shortcode('trx_accordion_item', 'bierbaum_sc_accordion_item');
}



/* Add shortcode in the internal SC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_accordion_reg_shortcodes' ) ) {
	//add_action('bierbaum_action_shortcodes_list', 'bierbaum_sc_accordion_reg_shortcodes');
	function bierbaum_sc_accordion_reg_shortcodes() {
		global $BIERBAUM_GLOBALS;
	
		$BIERBAUM_GLOBALS['shortcodes']["trx_accordion"] = array(
			"title" => esc_html__("Accordion", "bierbaum"),
			"desc" => wp_kses( __("Accordion items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"decorate" => true,
			"container" => false,
			"params" => array(
				"counter" => array(
					"title" => esc_html__("Counter", "bierbaum"),
					"desc" => wp_kses( __("Display counter before each accordion title", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "off",
					"type" => "switch",
					"options" => $BIERBAUM_GLOBALS['sc_params']['on_off']
				),
				"initial" => array(
					"title" => esc_html__("Initially opened item", "bierbaum"),
					"desc" => wp_kses( __("Number of initially opened item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => 1,
					"min" => 0,
					"type" => "spinner"
				),
				"icon_closed" => array(
					"title" => esc_html__("Icon while closed",  'bierbaum'),
					"desc" => wp_kses( __('Select icon for the closed accordion item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "icons",
					"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
				),
				"icon_opened" => array(
					"title" => esc_html__("Icon while opened",  'bierbaum'),
					"desc" => wp_kses( __('Select icon for the opened accordion item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "icons",
					"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
				),
				"top" => $BIERBAUM_GLOBALS['sc_params']['top'],
				"bottom" => $BIERBAUM_GLOBALS['sc_params']['bottom'],
				"left" => $BIERBAUM_GLOBALS['sc_params']['left'],
				"right" => $BIERBAUM_GLOBALS['sc_params']['right'],
				"id" => $BIERBAUM_GLOBALS['sc_params']['id'],
				"class" => $BIERBAUM_GLOBALS['sc_params']['class'],
				"animation" => $BIERBAUM_GLOBALS['sc_params']['animation'],
				"css" => $BIERBAUM_GLOBALS['sc_params']['css']
			),
			"children" => array(
				"name" => "trx_accordion_item",
				"title" => esc_html__("Item", "bierbaum"),
				"desc" => wp_kses( __("Accordion item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
				"container" => true,
				"params" => array(
					"title" => array(
						"title" => esc_html__("Accordion item title", "bierbaum"),
						"desc" => wp_kses( __("Title for current accordion item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "text"
					),
					"icon_closed" => array(
						"title" => esc_html__("Icon while closed",  'bierbaum'),
						"desc" => wp_kses( __('Select icon for the closed accordion item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "icons",
						"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
					),
					"icon_opened" => array(
						"title" => esc_html__("Icon while opened",  'bierbaum'),
						"desc" => wp_kses( __('Select icon for the opened accordion item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "icons",
						"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
					),
					"picture" => array(
						"title" => esc_html__('or URL for image file', "bierbaum"),
						"desc" => esc_html__("Select or upload image or write URL from other site (if style=iconed)", "bierbaum"),
						"dependency" => array(
							'style' => array('iconed')
						),
						"readonly" => false,
						"value" => "",
						"type" => "media"
					),
					"_content_" => array(
						"title" => esc_html__("Accordion item content", "bierbaum"),
						"desc" => wp_kses( __("Current accordion item content", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"rows" => 4,
						"value" => "",
						"type" => "textarea"
					),
					"id" => $BIERBAUM_GLOBALS['sc_params']['id'],
					"class" => $BIERBAUM_GLOBALS['sc_params']['class'],
					"css" => $BIERBAUM_GLOBALS['sc_params']['css']
				)
			)
		);
	}
}


/* Add shortcode in the VC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_accordion_reg_shortcodes_vc' ) ) {
	//add_action('bierbaum_action_shortcodes_list_vc', 'bierbaum_sc_accordion_reg_shortcodes_vc');
	function bierbaum_sc_accordion_reg_shortcodes_vc() {
		global $BIERBAUM_GLOBALS;
	
		vc_map( array(
			"base" => "trx_accordion",
			"name" => esc_html__("Accordion", "bierbaum"),
			"description" => wp_kses( __("Accordion items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"category" => esc_html__('Content', 'bierbaum'),
			'icon' => 'icon_trx_accordion',
			"class" => "trx_sc_collection trx_sc_accordion",
			"content_element" => true,
			"is_container" => true,
			"show_settings_on_create" => false,
			"as_parent" => array('only' => 'trx_accordion_item'),	// Use only|except attributes to limit child shortcodes (separate multiple values with comma)
			"params" => array(
				array(
					"param_name" => "counter",
					"heading" => esc_html__("Counter", "bierbaum"),
					"description" => wp_kses( __("Display counter before each accordion title", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => array("Add item numbers before each element" => "on" ),
					"type" => "checkbox"
				),
				array(
					"param_name" => "initial",
					"heading" => esc_html__("Initially opened item", "bierbaum"),
					"description" => wp_kses( __("Number of initially opened item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => 1,
					"type" => "textfield"
				),
				array(
					"param_name" => "icon_closed",
					"heading" => esc_html__("Icon while closed", "bierbaum"),
					"description" => wp_kses( __("Select icon for the closed accordion item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				array(
					"param_name" => "icon_opened",
					"heading" => esc_html__("Icon while opened", "bierbaum"),
					"description" => wp_kses( __("Select icon for the opened accordion item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				$BIERBAUM_GLOBALS['vc_params']['id'],
				$BIERBAUM_GLOBALS['vc_params']['class'],
				$BIERBAUM_GLOBALS['vc_params']['animation'],
				$BIERBAUM_GLOBALS['vc_params']['css'],
				$BIERBAUM_GLOBALS['vc_params']['margin_top'],
				$BIERBAUM_GLOBALS['vc_params']['margin_bottom'],
				$BIERBAUM_GLOBALS['vc_params']['margin_left'],
				$BIERBAUM_GLOBALS['vc_params']['margin_right']
			),
			'default_content' => '
				[trx_accordion_item title="' . esc_html__( 'Item 1 title', 'bierbaum' ) . '"][/trx_accordion_item]
				[trx_accordion_item title="' . esc_html__( 'Item 2 title', 'bierbaum' ) . '"][/trx_accordion_item]
			',
			"custom_markup" => '
				<div class="wpb_accordion_holder wpb_holder clearfix vc_container_for_children">
					%content%
				</div>
				<div class="tab_controls">
					<button class="add_tab" title="'.esc_attr__("Add item", "bierbaum").'">'.esc_html__("Add item", "bierbaum").'</button>
				</div>
			',
			'js_view' => 'VcTrxAccordionView'
		) );
		
		
		vc_map( array(
			"base" => "trx_accordion_item",
			"name" => esc_html__("Accordion item", "bierbaum"),
			"description" => wp_kses( __("Inner accordion item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"show_settings_on_create" => true,
			"content_element" => true,
			"is_container" => true,
			'icon' => 'icon_trx_accordion_item',
			"as_child" => array('only' => 'trx_accordion'), 	// Use only|except attributes to limit parent (separate multiple values with comma)
			"as_parent" => array('except' => 'trx_accordion'),
			"params" => array(
				array(
					"param_name" => "title",
					"heading" => esc_html__("Title", "bierbaum"),
					"description" => wp_kses( __("Title for current accordion item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "picture",
					"heading" => esc_html__("or select uploaded image", "bierbaum"),
					"description" => esc_html__("Select or upload image or write URL from other site (if style=iconed)", "bierbaum"),
					"group" => esc_html__('Icon &amp; Image', 'bierbaum'),
					"class" => "",
					"value" => "",
					"type" => "attach_image"
				),
				array(
					"param_name" => "icon_closed",
					"heading" => esc_html__("Icon while closed", "bierbaum"),
					"description" => wp_kses( __("Select icon for the closed accordion item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				array(
					"param_name" => "icon_opened",
					"heading" => esc_html__("Icon while opened", "bierbaum"),
					"description" => wp_kses( __("Select icon for the opened accordion item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				$BIERBAUM_GLOBALS['vc_params']['id'],
				$BIERBAUM_GLOBALS['vc_params']['class'],
				$BIERBAUM_GLOBALS['vc_params']['css']
			),
		  'js_view' => 'VcTrxAccordionTabView'
		) );

		class WPBakeryShortCode_Trx_Accordion extends BIERBAUM_VC_ShortCodeAccordion {}
		class WPBakeryShortCode_Trx_Accordion_Item extends BIERBAUM_VC_ShortCodeAccordionItem {}
	}
}
?>