<?php

/* Theme setup section
-------------------------------------------------------------------- */
if (!function_exists('bierbaum_sc_gap_theme_setup')) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_sc_gap_theme_setup' );
	function bierbaum_sc_gap_theme_setup() {
		add_action('bierbaum_action_shortcodes_list', 		'bierbaum_sc_gap_reg_shortcodes');
		if (function_exists('bierbaum_exists_visual_composer') && bierbaum_exists_visual_composer())
			add_action('bierbaum_action_shortcodes_list_vc','bierbaum_sc_gap_reg_shortcodes_vc');
	}
}



/* Shortcode implementation
-------------------------------------------------------------------- */

//[trx_gap]Fullwidth content[/trx_gap]

if (!function_exists('bierbaum_sc_gap')) {	
	function bierbaum_sc_gap($atts, $content = null) {
		if (bierbaum_in_shortcode_blogger()) return '';
		$output = bierbaum_gap_start() . do_shortcode($content) . bierbaum_gap_end();
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_gap', $atts, $content);
	}
	bierbaum_require_shortcode("trx_gap", "bierbaum_sc_gap");
}



/* Add shortcode in the internal SC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_gap_reg_shortcodes' ) ) {
	//add_action('bierbaum_action_shortcodes_list', 'bierbaum_sc_gap_reg_shortcodes');
	function bierbaum_sc_gap_reg_shortcodes() {
		global $BIERBAUM_GLOBALS;
	
		$BIERBAUM_GLOBALS['shortcodes']["trx_gap"] = array(
			"title" => esc_html__("Gap", "bierbaum"),
			"desc" => wp_kses( __("Insert gap (fullwidth area) in the post content. Attention! Use the gap only in the posts (pages) without left or right sidebar", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"decorate" => true,
			"container" => true,
			"params" => array(
				"_content_" => array(
					"title" => esc_html__("Gap content", "bierbaum"),
					"desc" => wp_kses( __("Gap inner content", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"rows" => 4,
					"value" => "",
					"type" => "textarea"
				)
			)
		);
	}
}


/* Add shortcode in the VC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_gap_reg_shortcodes_vc' ) ) {
	//add_action('bierbaum_action_shortcodes_list_vc', 'bierbaum_sc_gap_reg_shortcodes_vc');
	function bierbaum_sc_gap_reg_shortcodes_vc() {
		global $BIERBAUM_GLOBALS;
	
		vc_map( array(
			"base" => "trx_gap",
			"name" => esc_html__("Gap", "bierbaum"),
			"description" => wp_kses( __("Insert gap (fullwidth area) in the post content", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"category" => esc_html__('Structure', 'bierbaum'),
			'icon' => 'icon_trx_gap',
			"class" => "trx_sc_collection trx_sc_gap",
			"content_element" => true,
			"is_container" => true,
			"show_settings_on_create" => false,
			"params" => array(
				/*
				array(
					"param_name" => "content",
					"heading" => esc_html__("Gap content", "bierbaum"),
					"description" => wp_kses( __("Gap inner content", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => "",
					"type" => "textarea_html"
				)
				*/
			)
		) );
		
		class WPBakeryShortCode_Trx_Gap extends BIERBAUM_VC_ShortCodeCollection {}
	}
}
?>