<?php

/* Theme setup section
-------------------------------------------------------------------- */
if (!function_exists('bierbaum_sc_toggles_theme_setup')) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_sc_toggles_theme_setup' );
	function bierbaum_sc_toggles_theme_setup() {
		add_action('bierbaum_action_shortcodes_list', 		'bierbaum_sc_toggles_reg_shortcodes');
		if (function_exists('bierbaum_exists_visual_composer') && bierbaum_exists_visual_composer())
			add_action('bierbaum_action_shortcodes_list_vc','bierbaum_sc_toggles_reg_shortcodes_vc');
	}
}



/* Shortcode implementation
-------------------------------------------------------------------- */

if (!function_exists('bierbaum_sc_toggles')) {	
	function bierbaum_sc_toggles($atts, $content=null){	
		if (bierbaum_in_shortcode_blogger()) return '';
		extract(bierbaum_html_decode(shortcode_atts(array(
			// Individual params
			"counter" => "off",
			"icon_closed" => "icon-plus",
			"icon_opened" => "icon-minus",
			// Common params
			"id" => "",
			"class" => "",
			"animation" => "",
			"css" => "",
			"top" => "",
			"bottom" => "",
			"left" => "",
			"right" => ""
		), $atts)));
		$class .= ($class ? ' ' : '') . bierbaum_get_css_position_as_classes($top, $right, $bottom, $left);
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS['sc_toggle_counter'] = 0;
		$BIERBAUM_GLOBALS['sc_toggle_show_counter'] = bierbaum_param_is_on($counter);
		$BIERBAUM_GLOBALS['sc_toggles_icon_closed'] = empty($icon_closed) || bierbaum_param_is_inherit($icon_closed) ? "icon-plus" : $icon_closed;
		$BIERBAUM_GLOBALS['sc_toggles_icon_opened'] = empty($icon_opened) || bierbaum_param_is_inherit($icon_opened) ? "icon-minus" : $icon_opened;
		bierbaum_enqueue_script('jquery-effects-slide', false, array('jquery','jquery-effects-core'), null, true);
		$output = '<div' . ($id ? ' id="'.esc_attr($id).'"' : '') 
				. ' class="sc_toggles'
					. (!empty($class) ? ' '.esc_attr($class) : '')
					. (bierbaum_param_is_on($counter) ? ' sc_show_counter' : '') 
					. '"'
				. (!bierbaum_param_is_off($animation) ? ' data-animation="'.esc_attr(bierbaum_get_animation_classes($animation)).'"' : '')
				. ($css!='' ? ' style="'.esc_attr($css).'"' : '') 
				. '>'
				. do_shortcode($content)
				. '</div>';
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_toggles', $atts, $content);
	}
	bierbaum_require_shortcode('trx_toggles', 'bierbaum_sc_toggles');
}


if (!function_exists('bierbaum_sc_toggles_item')) {	
	function bierbaum_sc_toggles_item($atts, $content=null) {
		if (bierbaum_in_shortcode_blogger()) return '';
		extract(bierbaum_html_decode(shortcode_atts( array(
			// Individual params
			"title" => "",
			"open" => "",
			"icon_closed" => "",
			"icon_opened" => "",
			// Common params
			"id" => "",
			"class" => "",
			"css" => ""
		), $atts)));
		global $BIERBAUM_GLOBALS;
		$BIERBAUM_GLOBALS['sc_toggle_counter']++;
		if (empty($icon_closed) || bierbaum_param_is_inherit($icon_closed)) $icon_closed = $BIERBAUM_GLOBALS['sc_toggles_icon_closed'] ? $BIERBAUM_GLOBALS['sc_toggles_icon_closed'] : "icon-plus";
		if (empty($icon_opened) || bierbaum_param_is_inherit($icon_opened)) $icon_opened = $BIERBAUM_GLOBALS['sc_toggles_icon_opened'] ? $BIERBAUM_GLOBALS['sc_toggles_icon_opened'] : "icon-minus";
		$css .= bierbaum_param_is_on($open) ? 'display:block;' : '';
		$output = '<div' . ($id ? ' id="'.esc_attr($id).'"' : '') 
					. ' class="sc_toggles_item'.(bierbaum_param_is_on($open) ? ' sc_active' : '')
					. (!empty($class) ? ' '.esc_attr($class) : '')
					. ($BIERBAUM_GLOBALS['sc_toggle_counter'] % 2 == 1 ? ' odd' : ' even') 
					. ($BIERBAUM_GLOBALS['sc_toggle_counter'] == 1 ? ' first' : '')
					. '">'
					. '<h5 class="sc_toggles_title'.(bierbaum_param_is_on($open) ? ' ui-state-active' : '').'">'
					. (!bierbaum_param_is_off($icon_closed) ? '<span class="sc_toggles_icon sc_toggles_icon_closed '.esc_attr($icon_closed).'"></span>' : '')
					. (!bierbaum_param_is_off($icon_opened) ? '<span class="sc_toggles_icon sc_toggles_icon_opened '.esc_attr($icon_opened).'"></span>' : '')
					. ($BIERBAUM_GLOBALS['sc_toggle_show_counter'] ? '<span class="sc_items_counter">'.($BIERBAUM_GLOBALS['sc_toggle_counter']).'</span>' : '')
					. ($title) 
					. '</h5>'
					. '<div class="sc_toggles_content"'
						. ($css!='' ? ' style="'.esc_attr($css).'"' : '') 
						.'>' 
						. do_shortcode($content) 
					. '</div>'
				. '</div>';
		return apply_filters('bierbaum_shortcode_output', $output, 'trx_toggles_item', $atts, $content);
	}
	bierbaum_require_shortcode('trx_toggles_item', 'bierbaum_sc_toggles_item');
}


/* Add shortcode in the internal SC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_toggles_reg_shortcodes' ) ) {
	//add_action('bierbaum_action_shortcodes_list', 'bierbaum_sc_toggles_reg_shortcodes');
	function bierbaum_sc_toggles_reg_shortcodes() {
		global $BIERBAUM_GLOBALS;
	
		$BIERBAUM_GLOBALS['shortcodes']["trx_toggles"] = array(
			"title" => esc_html__("Toggles", "bierbaum"),
			"desc" => wp_kses( __("Toggles items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"decorate" => true,
			"container" => false,
			"params" => array(
				"counter" => array(
					"title" => esc_html__("Counter", "bierbaum"),
					"desc" => wp_kses( __("Display counter before each toggles title", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "off",
					"type" => "switch",
					"options" => $BIERBAUM_GLOBALS['sc_params']['on_off']
				),
				"icon_closed" => array(
					"title" => esc_html__("Icon while closed",  'bierbaum'),
					"desc" => wp_kses( __('Select icon for the closed toggles item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "icons",
					"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
				),
				"icon_opened" => array(
					"title" => esc_html__("Icon while opened",  'bierbaum'),
					"desc" => wp_kses( __('Select icon for the opened toggles item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"value" => "",
					"type" => "icons",
					"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
				),
				"top" => $BIERBAUM_GLOBALS['sc_params']['top'],
				"bottom" => $BIERBAUM_GLOBALS['sc_params']['bottom'],
				"left" => $BIERBAUM_GLOBALS['sc_params']['left'],
				"right" => $BIERBAUM_GLOBALS['sc_params']['right'],
				"id" => $BIERBAUM_GLOBALS['sc_params']['id'],
				"class" => $BIERBAUM_GLOBALS['sc_params']['class'],
				"animation" => $BIERBAUM_GLOBALS['sc_params']['animation'],
				"css" => $BIERBAUM_GLOBALS['sc_params']['css']
			),
			"children" => array(
				"name" => "trx_toggles_item",
				"title" => esc_html__("Toggles item", "bierbaum"),
				"desc" => wp_kses( __("Toggles item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
				"container" => true,
				"params" => array(
					"title" => array(
						"title" => esc_html__("Toggles item title", "bierbaum"),
						"desc" => wp_kses( __("Title for current toggles item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "text"
					),
					"open" => array(
						"title" => esc_html__("Open on show", "bierbaum"),
						"desc" => wp_kses( __("Open current toggles item on show", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "no",
						"type" => "switch",
						"options" => $BIERBAUM_GLOBALS['sc_params']['yes_no']
					),
					"icon_closed" => array(
						"title" => esc_html__("Icon while closed",  'bierbaum'),
						"desc" => wp_kses( __('Select icon for the closed toggles item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "icons",
						"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
					),
					"icon_opened" => array(
						"title" => esc_html__("Icon while opened",  'bierbaum'),
						"desc" => wp_kses( __('Select icon for the opened toggles item from Fontello icons set',  'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"value" => "",
						"type" => "icons",
						"options" => $BIERBAUM_GLOBALS['sc_params']['icons']
					),
					"_content_" => array(
						"title" => esc_html__("Toggles item content", "bierbaum"),
						"desc" => wp_kses( __("Current toggles item content", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
						"rows" => 4,
						"value" => "",
						"type" => "textarea"
					),
					"id" => $BIERBAUM_GLOBALS['sc_params']['id'],
					"class" => $BIERBAUM_GLOBALS['sc_params']['class'],
					"css" => $BIERBAUM_GLOBALS['sc_params']['css']
				)
			)
		);
	}
}


/* Add shortcode in the VC Builder
-------------------------------------------------------------------- */
if ( !function_exists( 'bierbaum_sc_toggles_reg_shortcodes_vc' ) ) {
	//add_action('bierbaum_action_shortcodes_list_vc', 'bierbaum_sc_toggles_reg_shortcodes_vc');
	function bierbaum_sc_toggles_reg_shortcodes_vc() {
		global $BIERBAUM_GLOBALS;
	
		vc_map( array(
			"base" => "trx_toggles",
			"name" => esc_html__("Toggles", "bierbaum"),
			"description" => wp_kses( __("Toggles items", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"category" => esc_html__('Content', 'bierbaum'),
			'icon' => 'icon_trx_toggles',
			"class" => "trx_sc_collection trx_sc_toggles",
			"content_element" => true,
			"is_container" => true,
			"show_settings_on_create" => false,
			"as_parent" => array('only' => 'trx_toggles_item'),
			"params" => array(
				array(
					"param_name" => "counter",
					"heading" => esc_html__("Counter", "bierbaum"),
					"description" => wp_kses( __("Display counter before each toggles title", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => array("Add item numbers before each element" => "on" ),
					"type" => "checkbox"
				),
				array(
					"param_name" => "icon_closed",
					"heading" => esc_html__("Icon while closed", "bierbaum"),
					"description" => wp_kses( __("Select icon for the closed toggles item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				array(
					"param_name" => "icon_opened",
					"heading" => esc_html__("Icon while opened", "bierbaum"),
					"description" => wp_kses( __("Select icon for the opened toggles item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				$BIERBAUM_GLOBALS['vc_params']['id'],
				$BIERBAUM_GLOBALS['vc_params']['class'],
				$BIERBAUM_GLOBALS['vc_params']['margin_top'],
				$BIERBAUM_GLOBALS['vc_params']['margin_bottom'],
				$BIERBAUM_GLOBALS['vc_params']['margin_left'],
				$BIERBAUM_GLOBALS['vc_params']['margin_right']
			),
			'default_content' => '
				[trx_toggles_item title="' . esc_html__( 'Item 1 title', 'bierbaum' ) . '"][/trx_toggles_item]
				[trx_toggles_item title="' . esc_html__( 'Item 2 title', 'bierbaum' ) . '"][/trx_toggles_item]
			',
			"custom_markup" => '
				<div class="wpb_accordion_holder wpb_holder clearfix vc_container_for_children">
					%content%
				</div>
				<div class="tab_controls">
					<button class="add_tab" title="'.esc_attr__("Add item", "bierbaum").'">'.esc_html__("Add item", "bierbaum").'</button>
				</div>
			',
			'js_view' => 'VcTrxTogglesView'
		) );
		
		
		vc_map( array(
			"base" => "trx_toggles_item",
			"name" => esc_html__("Toggles item", "bierbaum"),
			"description" => wp_kses( __("Single toggles item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
			"show_settings_on_create" => true,
			"content_element" => true,
			"is_container" => true,
			'icon' => 'icon_trx_toggles_item',
			"as_child" => array('only' => 'trx_toggles'),
			"as_parent" => array('except' => 'trx_toggles'),
			"params" => array(
				array(
					"param_name" => "title",
					"heading" => esc_html__("Title", "bierbaum"),
					"description" => wp_kses( __("Title for current toggles item", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"admin_label" => true,
					"class" => "",
					"value" => "",
					"type" => "textfield"
				),
				array(
					"param_name" => "open",
					"heading" => esc_html__("Open on show", "bierbaum"),
					"description" => wp_kses( __("Open current toggle item on show", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => array("Opened" => "yes" ),
					"type" => "checkbox"
				),
				array(
					"param_name" => "icon_closed",
					"heading" => esc_html__("Icon while closed", "bierbaum"),
					"description" => wp_kses( __("Select icon for the closed toggles item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				array(
					"param_name" => "icon_opened",
					"heading" => esc_html__("Icon while opened", "bierbaum"),
					"description" => wp_kses( __("Select icon for the opened toggles item from Fontello icons set", "bierbaum"), $BIERBAUM_GLOBALS['allowed_tags'] ),
					"class" => "",
					"value" => $BIERBAUM_GLOBALS['sc_params']['icons'],
					"type" => "dropdown"
				),
				$BIERBAUM_GLOBALS['vc_params']['id'],
				$BIERBAUM_GLOBALS['vc_params']['class'],
				$BIERBAUM_GLOBALS['vc_params']['css']
			),
			'js_view' => 'VcTrxTogglesTabView'
		) );
		class WPBakeryShortCode_Trx_Toggles extends BIERBAUM_VC_ShortCodeToggles {}
		class WPBakeryShortCode_Trx_Toggles_Item extends BIERBAUM_VC_ShortCodeTogglesItem {}
	}
}
?>