<?php
/*
 * The template for displaying "Page 404"
*/

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'bierbaum_template_404_theme_setup' ) ) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_template_404_theme_setup', 1 );
	function bierbaum_template_404_theme_setup() {
		bierbaum_add_template(array(
			'layout' => '404',
			'mode'   => 'internal',
			'title'  => 'Page 404',
			'theme_options' => array(
				'article_style' => 'stretch'
			),
			'w'		 => null,
			'h'		 => null
			));
	}
}

// Template output
if ( !function_exists( 'bierbaum_template_404_output' ) ) {
	function bierbaum_template_404_output() {
		global $BIERBAUM_GLOBALS;
		?>
		<article class="post_item post_item_404">
			<div class="post_content">
				<img class="image-404" src="/wp-content/uploads/2015/11/404.png" alt="404-page">
				<h2 class="page_subtitle"><?php wp_kses( _e('Sorry! Can\'t find that page! <span>Error 404</span>.', 'bierbaum'), $BIERBAUM_GLOBALS['allowed_tags'] ); ?></h2>
				<p class="page_description"><?php echo wp_kses( sprintf( __('Can\'t find what you need? Take a moment and do <br/> a search below or start from our <a href="%s">homepage</a>.', 'bierbaum'), esc_url(home_url('/')) ), $BIERBAUM_GLOBALS['allowed_tags'] ); ?></p>
				<div class="page_search search-form-404"><?php echo trim(bierbaum_sc_search(array('state'=>'fixed', 'title'=>__('Search:', 'bierbaum')))); ?></div>
			</div>
		</article>
		<?php
	}
}
?>