<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'bierbaum_template_header_1_theme_setup' ) ) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_template_header_1_theme_setup', 1 );
	function bierbaum_template_header_1_theme_setup() {
		bierbaum_add_template(array(
			'layout' => 'header_1',
			'mode'   => 'header',
			'title'  => esc_html__('Header 1', 'bierbaum'),
			'icon'   => bierbaum_get_file_url('templates/headers/images/1.jpg')
			));
	}
}

// Template output
if ( !function_exists( 'bierbaum_template_header_1_output' ) ) {
	function bierbaum_template_header_1_output($post_options, $post_data) {
		global $BIERBAUM_GLOBALS;

		// WP custom header
		$header_css = '';
		if ($post_options['position'] != 'over') {
			$header_image = get_header_image();
			$header_css = $header_image!='' 
				? ' style="background: url('.esc_url($header_image).') repeat center top"' 
				: '';
		}
		?>
		
		<div class="top_panel_fixed_wrap"></div>

		<header class="top_panel_wrap top_panel_style_1 scheme_<?php echo esc_attr($post_options['scheme']); ?>">
			<div class="top_panel_wrap_inner top_panel_inner_style_1 top_panel_position_<?php echo esc_attr(bierbaum_get_custom_option('top_panel_position')); ?>">
			
			<?php if (bierbaum_get_custom_option('show_top_panel_top')=='yes') { ?>
				<div class="top_panel_top">
					<div class="content_wrap clearfix">
						<?php
						$top_panel_top_components = array('contact_info', 'open_hours', 'login', 'socials', 'currency', 'bookmarks');
						require_once bierbaum_get_file_dir('templates/headers/_parts/top-panel-top.php');
						?>
					</div>
				</div>
			<?php } ?>

			<div class="top_panel_middle" <?php echo trim($header_css); ?>>
				<div class="content_wrap">
					<div class="columns_wrap columns_fluid">
						<div class="column-1_2 contact_logo">
							<?php bierbaum_show_logo(); ?>
						</div>

						<div class="column-1_2 contact-allinfo">
						<?php
						

						// Phone
						$contact_phone=trim(bierbaum_get_custom_option('contact_phone'));
						$contact_email=trim(bierbaum_get_custom_option('contact_email'));
						if (!empty($contact_phone) ) {
							?><div class="contact_field contact_phone">
								<span class="contact_icon icon-phone-1"></span>
								<span class="contact_label contact_phone"><?php echo force_balance_tags($contact_phone); ?></span>
							</div><?php
						}

						// Email
						if (!empty($contact_email)) {
							?><div class="contact_field contact_mail">
								<span class="contact_icon icon-mail"></span>
								<span class="contact_email"><a href="mailto:<?php echo force_balance_tags($contact_email); ?>">Contact Us</a></span>
							</div><?php
						}
						
						// Search
						if (bierbaum_get_custom_option('show_search')=='yes') echo trim(bierbaum_sc_search(array())); 

						// Woocommerce Cart
						if (function_exists('bierbaum_exists_woocommerce') && bierbaum_exists_woocommerce() && (bierbaum_is_woocommerce_page() && bierbaum_get_custom_option('show_cart')=='shop' || bierbaum_get_custom_option('show_cart')=='always') && !(is_checkout() || is_cart() || defined('WOOCOMMERCE_CHECKOUT') || defined('WOOCOMMERCE_CART'))) {
							?><div class="column-1_5 contact_field contact_cart"><?php require_once bierbaum_get_file_dir('templates/headers/_parts/contact-info-cart.php'); ?></div><?php
						}
						?>

						</div>
						</div>
				</div>
			</div>

			<div class="top_panel_bottom <?php if (bierbaum_get_custom_option('inverse_panel_scheme')=='yes') { ?>inverse_panel <?php } ?> ">
				<div class="content_wrap clearfix">
					<a href="#" class="menu_main_responsive_button icon-down"><?php esc_html_e('Select menu item', 'bierbaum'); ?></a>
					<nav class="menu_main_nav_area">
						<?php
						if (empty($BIERBAUM_GLOBALS['menu_main'])) $BIERBAUM_GLOBALS['menu_main'] = bierbaum_get_nav_menu('menu_main');
						if (empty($BIERBAUM_GLOBALS['menu_main'])) $BIERBAUM_GLOBALS['menu_main'] = bierbaum_get_nav_menu();
						echo trim($BIERBAUM_GLOBALS['menu_main']);
						?>
					</nav>
					
				</div>
			</div>

			</div>
		</header>

		<?php
	}
}
?>