<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'bierbaum_template_list_theme_setup' ) ) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_template_list_theme_setup', 1 );
	function bierbaum_template_list_theme_setup() {
		bierbaum_add_template(array(
			'layout' => 'list',
			'mode'   => 'blogger',
			'need_columns' => true,
			'title'  => esc_html__('Blogger layout: List', 'bierbaum')
			));
	}
}

// Template output
if ( !function_exists( 'bierbaum_template_list_output' ) ) {
	function bierbaum_template_list_output($post_options, $post_data) {
		$columns = max(1, min(12, $post_options['columns_count']));
		$title = '<li class="sc_blogger_item sc_list_item'.($columns > 1 ? ' column-1_'.esc_attr($columns) : '').'">'
			. (!isset($post_options['links']) || $post_options['links'] ? '<a href="' . esc_url($post_data['post_link']) . '">' : '')
			. '<span class="sc_list_title">'.($post_data['post_title']).'</span>'
			. (!isset($post_options['links']) || $post_options['links'] ? '</a>' : '')
			. '<div class="post_descr">'
			. '<p>'
			. trim(bierbaum_strshort($post_data['post_excerpt'], isset($post_options['descr']) ? $post_options['descr'] : bierbaum_get_custom_option('post_excerpt_maxlength_masonry')))
			. '</p> </div><div class="readmore_box">'
			. '<a href="' .esc_url($post_data['post_link']) . '" class="post_readmore"><span class="post_readmore_label">' . trim($post_options['readmore']) . '</span></a>'


			.'</div>'
			
			. '</li>';
		echo trim($title);
	}
}
?>