<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'bierbaum_template_clients_3_theme_setup' ) ) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_template_clients_3_theme_setup', 1 );
	function bierbaum_template_clients_3_theme_setup() {
		bierbaum_add_template(array(
			'layout' => 'clients-3',
			'template' => 'clients-3',
			'mode'   => 'clients',
			/*'container_classes' => 'sc_slider_nopagination sc_slider_controls sc_slider_controls_bottom',*/
			'title'  => esc_html__('Clients /Style 3/', 'bierbaum'),
			'thumb_title'  => esc_html__('Medium gsquare image (crop)', 'bierbaum'),
			'w'		 => null,
			'h'		 => null
		));
	}
}

// Template output
if ( !function_exists( 'bierbaum_template_clients_3_output' ) ) {
	function bierbaum_template_clients_3_output($post_options, $post_data) {
		$show_title = true;
		$parts = explode('_', $post_options['layout']);
		$style = $parts[0];
		$title_cl = bierbaum_get_post_title( $post );
		$columns = max(1, min(12, empty($parts[1]) ? $post_options['columns_count'] : (int) $parts[1]));
		if (bierbaum_param_is_on($post_options['slider'])) {
			?><div class="swiper-slide" data-style="<?php echo esc_attr($post_options['tag_css_wh']); ?>" style="<?php echo esc_attr($post_options['tag_css_wh']); ?>"><?php
		} else if ($columns > 1) {
			?><div class="column-1_<?php echo esc_attr($columns); ?> column_padding_bottom"><?php
		}
		?>
			<div<?php echo !empty($post_options['tag_id']) ? ' id="'.esc_attr($post_options['tag_id']).'"' : ''; ?>
				class="sc_clients_item sc_clients_item_<?php echo esc_attr($post_options['number']) . ($post_options['number'] % 2 == 1 ? ' odd' : ' even') . ($post_options['number'] == 1 ? ' first' : '') . (!empty($post_options['tag_class']) ? ' '.esc_attr($post_options['tag_class']) : ''); ?>"<?php echo (!empty($post_options['tag_css']) ? ' style="'.esc_attr($post_options['tag_css']).'"' : '') . (!bierbaum_param_is_off($post_options['tag_animation']) ? ' data-animation="'.esc_attr(bierbaum_get_animation_classes($post_options['tag_animation'])).'"' : ''); ?>>
				<div class="sc_client_image">
					<a href="<?php esc_url($post_options['client_link']); ?>">
						<span class="sc_box_client_image" >
							<?php echo trim($post_options['client_image']); ?>
						</span>
					</a>
				</div>
			</div>
		<?php
		if (bierbaum_param_is_on($post_options['slider']) || $columns > 1) {
			?></div><?php
		}
	}
}
?>