<?php

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'bierbaum_template_form_2_theme_setup' ) ) {
	add_action( 'bierbaum_action_before_init_theme', 'bierbaum_template_form_2_theme_setup', 1 );
	function bierbaum_template_form_2_theme_setup() {
		bierbaum_add_template(array(
			'layout' => 'form_2',
			'mode'   => 'forms',
			'title'  => esc_html__('Contact Form 2', 'bierbaum')
			));
	}
}

// Template output
if ( !function_exists( 'bierbaum_template_form_2_output' ) ) {
	function bierbaum_template_form_2_output($post_options, $post_data) {
		global $BIERBAUM_GLOBALS;
		$address_1 = bierbaum_get_theme_option('contact_address_1');
		$address_2 = bierbaum_get_theme_option('contact_address_2');
		$phone = bierbaum_get_theme_option('contact_phone');
		$fax = bierbaum_get_theme_option('contact_fax');
		$email = bierbaum_get_theme_option('contact_email');
		$open_hours = bierbaum_get_theme_option('contact_open_hours');
		?>
		<div class="sc_columns columns_wrap">
			<div class="sc_form_fields column-2_3">
				<form autocomplete="off" <?php echo !empty($post_options['id']) ? ' id="'.esc_attr($post_options['id']).'"' : ''; ?> data-formtype="<?php echo esc_attr($post_options['layout']); ?>" method="post" action="<?php echo esc_url($post_options['action'] ? $post_options['action'] : $BIERBAUM_GLOBALS['ajax_url']); ?>">
					<div class="sc_form_info">
						<div class="left-column">
							<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_username"><?php esc_html_e('Name', 'bierbaum'); ?></label><input id="sc_form_username" type="text" name="username" placeholder="<?php esc_attr_e('Name *', 'bierbaum'); ?>"></div>
							<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_phone"><?php esc_html_e('Phone', 'bierbaum'); ?></label><input id="sc_form_phone" type="text" name="phone" placeholder="<?php esc_attr_e('Phone', 'bierbaum'); ?>"></div>
						</div>
						<div class="right-column">
							<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_email"><?php esc_html_e('E-mail', 'bierbaum'); ?></label><input id="sc_form_email" type="text" name="email" placeholder="<?php esc_attr_e('E-mail *', 'bierbaum'); ?>"></div>
							<div class="sc_form_item sc_form_field label_over"><label class="required" for="sc_form_company"><?php esc_html_e('Company', 'bierbaum'); ?></label><input id="sc_form_company" type="text" name="company" placeholder="<?php esc_attr_e('Company', 'bierbaum'); ?>"></div>
						</div>
					</div>
					<div class="sc_form_item sc_form_message label_over"><label class="required" for="sc_form_message"><?php esc_html_e('Message', 'bierbaum'); ?></label><textarea id="sc_form_message" name="message" placeholder="<?php esc_attr_e('Message', 'bierbaum'); ?>"></textarea></div>
					<div class="sc_form_item sc_form_button"><button class="sc_button sc_button_size_large sc_button_style_filled sc_button_style2"><?php esc_html_e('Send Message', 'bierbaum'); ?></button></div>
					<div class="result sc_infobox"></div>
				</form>
			</div><div class="sc_form_address column-1_3">
				<div class="sc_form_address_field">
					<span class="sc_form_address_label"><?php esc_html_e('Address', 'bierbaum'); ?></span>
					<span class="sc_form_address_data"><?php echo trim($address_1) . (!empty($address_1) && !empty($address_2) ? ', ' : '') . $address_2; ?></span>
				</div>
				<div class="sc_form_address_field">
					<span class="sc_form_address_label"><?php esc_html_e('Phone', 'bierbaum'); ?></span>
					<span class="sc_form_address_data"><?php echo trim($phone) . (!empty($phone) && !empty($fax) ? ', ' : '') . $fax; ?></span>
				</div>
				<div class="sc_form_address_field">
					<span class="sc_form_address_label"><?php esc_html_e('E-mail', 'bierbaum'); ?></span>
					<span class="sc_form_address_data"><?php echo trim($email); ?></span>
				</div>
				<div class="sc_form_address_field">
					<span class="sc_form_address_label"><?php esc_html_e('We are open', 'bierbaum'); ?></span>
					<span class="sc_form_address_data"><?php echo trim($open_hours); ?></span>
				</div>
				<?php echo do_shortcode('[trx_socials size="tiny" shape="round"][/trx_socials]'); ?>
			</div>
		</div>
		<?php
	}
}
?>